Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5269 - rpm hangs when trying to install packages
Summary: rpm hangs when trying to install packages
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-21 14:52 UTC by lars
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-21 20:03:28 UTC


Attachments (Terms of Use)
a makefile to reproduce (deleted)
2003-07-01 18:59 UTC, Kris Raney
no flags Details

Description lars 1999-09-21 14:52:25 UTC
rpm randomly hangs when trying to install packages. It
either hangs completely, looping over code like (strace)
read(4, "\0\236\0\0\210m\33\0\0\0\0\0\1\0"..., 16) = 16
lseek(4, 1797512, SEEK_SET)             = 1797512
read(4, "\0\236\0\0\210m\33\0\0\0\0\0\1\0"..., 16) = 16
lseek(4, 1797512, SEEK_SET)             = 1797512
read(4, "\0\236\0\0\210m\33\0\0\0\0\0\1\0"..., 16) = 16
lseek(4, 1797512, SEEK_SET)             = 1797512
read(4, "\0\236\0\0\210m\33\0\0\0\0\0\1\0"..., 16) = 16
lseek(4, 1797512, SEEK_SET)             = 1797512
read(4, "\0\236\0\0\210m\33\0\0\0\0\0\1\0"..., 16) = 16
lseek(4, 1797512, SEEK_SET)             = 1797512

/proc/4462/fd/4 -> /var/lib/rpm/packages.rpm

Or it terminates and reports "freelist corrupt", and after a
--rebuilddb installs fine.

This happens on a larger set of machines and not entirely
repeatable. Do you need a copy of the rpm database or
anything?

Comment 1 Jeff Johnson 1999-09-21 20:03:59 UTC
The infinite loop is the "freelist corrupt" bug with a different
manifestation. Try "rpm --rebuilddb" and you should be OK.

If you (or anyone else) can reproduce this problem with a known
sequence of commands starting from rebuilt and saved /var/lib/rpm/*
databases, please send me the data so I can get this problem fixed.
This problem is very hard to reproduce without a known good starting
database.

Comment 2 Kris Raney 2003-07-01 18:59:56 UTC
Created attachment 92708 [details]
a makefile to reproduce

This makefile starts off with an initdb, and recreates the problem pretty
reliably. The RPMs are from redhat 7.3 and 8.0, and are all available on
rpmfind.net.


Note You need to log in before you can comment on or make changes to this bug.